import { Edge, SourceTargetNode, Dimensions, Transform } from '../../types';
declare const _default: import("vue").DefineComponent<{
    edge: {
        type: import("vue").PropType<Edge<any>>;
        required: true;
    };
    sourceTargetNodes: {
        type: import("vue").PropType<SourceTargetNode>;
        required: true;
    };
    component: {
        type: import("vue").PropType<any>;
    };
    markerEndId: {
        type: import("vue").PropType<string>;
    };
    edgeUpdaterRadius: {
        type: import("vue").PropType<number>;
    };
    selectable: {
        type: import("vue").PropType<boolean>;
    };
    dimensions: {
        type: import("vue").PropType<Dimensions>;
        required: true;
    };
    transform: {
        type: import("vue").PropType<Transform>;
        required: true;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    mouseMove: (data: {
        event: MouseEvent;
        edge: Edge<any>;
    }) => void;
} & {
    mouseLeave: (data: {
        event: MouseEvent;
        edge: Edge<any>;
    }) => void;
} & {
    contextMenu: (data: {
        event: MouseEvent;
        edge: Edge<any>;
    }) => void;
} & {
    click: (data: {
        event: MouseEvent;
        edge: Edge<any>;
    }) => void;
} & {
    dblClick: (data: {
        event: MouseEvent;
        edge: Edge<any>;
    }) => void;
} & {
    updateStart: (data: {
        event: MouseEvent;
        edge: Edge<any>;
    }) => void;
} & {
    update: (data: {
        edge: Edge<any>;
        connection: import("../../types").Connection;
    }) => void;
} & {
    updateEnd: (data: MouseEvent) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    edge?: unknown;
    sourceTargetNodes?: unknown;
    component?: unknown;
    markerEndId?: unknown;
    edgeUpdaterRadius?: unknown;
    selectable?: unknown;
    dimensions?: unknown;
    transform?: unknown;
} & {
    dimensions: Dimensions;
    transform: Transform;
    edge: Edge<any>;
    sourceTargetNodes: SourceTargetNode;
} & {
    markerEndId?: string | undefined;
    edgeUpdaterRadius?: number | undefined;
    selectable?: boolean | undefined;
    component?: unknown;
}> & {
    onClick?: ((data: {
        event: MouseEvent;
        edge: Edge<any>;
    }) => any) | undefined;
    onMouseMove?: ((data: {
        event: MouseEvent;
        edge: Edge<any>;
    }) => any) | undefined;
    onMouseLeave?: ((data: {
        event: MouseEvent;
        edge: Edge<any>;
    }) => any) | undefined;
    onContextMenu?: ((data: {
        event: MouseEvent;
        edge: Edge<any>;
    }) => any) | undefined;
    onDblClick?: ((data: {
        event: MouseEvent;
        edge: Edge<any>;
    }) => any) | undefined;
    onUpdate?: ((data: {
        edge: Edge<any>;
        connection: import("../../types").Connection;
    }) => any) | undefined;
    onUpdateStart?: ((data: {
        event: MouseEvent;
        edge: Edge<any>;
    }) => any) | undefined;
    onUpdateEnd?: ((data: MouseEvent) => any) | undefined;
}, {}>;
export default _default;
